Activity log for bug #370735

Date Who What changed Old value New value Message
2009-05-02 07:06:05 Olivier Berger bug added bug
2009-05-02 07:08:24 Olivier Berger description Binary package hint: gmemusage gmemusage doesn't start, or more precisely briefly displays the window and crashes with the following logs on commandline : $ gmemusage *** stack smashing detected ***: gmemusage terminated ======= Backtrace: ========= /lib/tls/i686/cmov/libc.so.6(__fortify_fail+0x48)[0xb7d9bda8] /lib/tls/i686/cmov/libc.so.6(__fortify_fail+0x0)[0xb7d9bd60] gmemusage[0x804b063] gmemusage[0x8049878] gmemusage[0x804a7ed] /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe5)[0xb7cb4775] gmemusage[0x8049551] ======= Memory map: ======== 08048000-0804d000 r-xp 00000000 08:05 278037 /usr/bin/gmemusage 0804d000-0804e000 r--p 00004000 08:05 278037 /usr/bin/gmemusage 0804e000-0804f000 rw-p 00005000 08:05 278037 /usr/bin/gmemusage 08b28000-08b49000 rw-p 08b28000 00:00 0 [heap] b7c4e000-b7c5b000 r-xp 00000000 08:05 179902 /lib/libgcc_s.so.1 b7c5b000-b7c5c000 r--p 0000c000 08:05 179902 /lib/libgcc_s.so.1 b7c5c000-b7c5d000 rw-p 0000d000 08:05 179902 /lib/libgcc_s.so.1 b7c5d000-b7c61000 r-xp 00000000 08:05 279321 /usr/lib/libXfixes.so.3.1.0 b7c61000-b7c62000 rw-p 00003000 08:05 279321 /usr/lib/libXfixes.so.3.1.0 b7c62000-b7c6a000 r-xp 00000000 08:05 279275 /usr/lib/libXrender.so.1.3.0 b7c6a000-b7c6b000 r--p 00007000 08:05 279275 /usr/lib/libXrender.so.1.3.0 b7c6b000-b7c6c000 rw-p 00008000 08:05 279275 /usr/lib/libXrender.so.1.3.0 b7c6c000-b7c74000 r-xp 00000000 08:05 278089 /usr/lib/libXcursor.so.1.0.2 b7c74000-b7c75000 rw-p 00007000 08:05 278089 /usr/lib/libXcursor.so.1.0.2 b7c75000-b7c76000 rw-p b7c75000 00:00 0 b7c76000-b7c7a000 r-xp 00000000 08:05 279303 /usr/lib/libXdmcp.so.6.0.0 b7c7a000-b7c7b000 rw-p 00003000 08:05 279303 /usr/lib/libXdmcp.so.6.0.0 b7c7b000-b7c7c000 rw-p b7c7b000 00:00 0 b7c7c000-b7c7e000 r-xp 00000000 08:05 279937 /usr/lib/libXau.so.6.0.0 b7c7e000-b7c7f000 r--p 00001000 08:05 279937 /usr/lib/libXau.so.6.0.0 b7c7f000-b7c80000 rw-p 00002000 08:05 279937 /usr/lib/libXau.so.6.0.0 b7c80000-b7c82000 r-xp 00000000 08:05 212609 /lib/tls/i686/cmov/libdl-2.9.so b7c82000-b7c83000 r--p 00001000 08:05 212609 /lib/tls/i686/cmov/libdl-2.9.so b7c83000-b7c84000 rw-p 00002000 08:05 212609 /lib/tls/i686/cmov/libdl-2.9.so b7c84000-b7c9c000 r-xp 00000000 08:05 280154 /usr/lib/libxcb.so.1.1.0 b7c9c000-b7c9d000 r--p 00017000 08:05 280154 /usr/lib/libxcb.so.1.1.0 b7c9d000-b7c9e000 rw-p 00018000 08:05 280154 /usr/lib/libxcb.so.1.1.0 b7c9e000-b7dfa000 r-xp 00000000 08:05 212604 /lib/tls/i686/cmov/libc-2.9.so b7dfa000-b7dfb000 ---p 0015c000 08:05 212604 /lib/tls/i686/cmov/libc-2.9.so b7dfb000-b7dfd000 r--p 0015c000 08:05 212604 /lib/tls/i686/cmov/libc-2.9.so b7dfd000-b7dfe000 rw-p 0015e000 08:05 212604 /lib/tls/i686/cmov/libc-2.9.so b7dfe000-b7e01000 rw-p b7dfe000 00:00 0 b7e01000-b7eeb000 r-xp 00000000 08:05 278238 /usr/lib/libX11.so.6.2.0 b7eeb000-b7eec000 ---p 000ea000 08:05 278238 /usr/lib/libX11.so.6.2.0 b7eec000-b7eed000 r--p 000ea000 08:05 278238 /usr/lib/libX11.so.6.2.0 b7eed000-b7eef000 rw-p 000eb000 08:05 278238 /usr/lib/libX11.so.6.2.0 b7eef000-b7ef1000 rw-p b7eef000 00:00 0 b7f01000-b7f02000 rw-p b7f01000 00:00 0 b7f02000-b7f03000 r-xp b7f02000 00:00 0 [vdso] b7f03000-b7f1f000 r-xp 00000000 08:05 179890 /lib/ld-2.9.so b7f1f000-b7f20000 r--p 0001b000 08:05 179890 /lib/ld-2.9.so b7f20000-b7f21000 rw-p 0001c000 08:05 179890 /lib/ld-2.9.so bfc0c000-bfc21000 rw-p bffeb000 00:00 0 [stack] Abandon Hope this helps. Binary package hint: gmemusage gmemusage doesn't start, or more precisely briefly displays the window and crashes with the following logs on commandline : $ gmemusage *** stack smashing detected ***: gmemusage terminated ======= Backtrace: ========= /lib/tls/i686/cmov/libc.so.6(__fortify_fail+0x48)[0xb7d9bda8] /lib/tls/i686/cmov/libc.so.6(__fortify_fail+0x0)[0xb7d9bd60] gmemusage[0x804b063] gmemusage[0x8049878] gmemusage[0x804a7ed] /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe5)[0xb7cb4775] gmemusage[0x8049551] ======= Memory map: ======== 08048000-0804d000 r-xp 00000000 08:05 278037 /usr/bin/gmemusage 0804d000-0804e000 r--p 00004000 08:05 278037 /usr/bin/gmemusage 0804e000-0804f000 rw-p 00005000 08:05 278037 /usr/bin/gmemusage 08b28000-08b49000 rw-p 08b28000 00:00 0 [heap] b7c4e000-b7c5b000 r-xp 00000000 08:05 179902 /lib/libgcc_s.so.1 b7c5b000-b7c5c000 r--p 0000c000 08:05 179902 /lib/libgcc_s.so.1 b7c5c000-b7c5d000 rw-p 0000d000 08:05 179902 /lib/libgcc_s.so.1 b7c5d000-b7c61000 r-xp 00000000 08:05 279321 /usr/lib/libXfixes.so.3.1.0 b7c61000-b7c62000 rw-p 00003000 08:05 279321 /usr/lib/libXfixes.so.3.1.0 b7c62000-b7c6a000 r-xp 00000000 08:05 279275 /usr/lib/libXrender.so.1.3.0 b7c6a000-b7c6b000 r--p 00007000 08:05 279275 /usr/lib/libXrender.so.1.3.0 b7c6b000-b7c6c000 rw-p 00008000 08:05 279275 /usr/lib/libXrender.so.1.3.0 b7c6c000-b7c74000 r-xp 00000000 08:05 278089 /usr/lib/libXcursor.so.1.0.2 b7c74000-b7c75000 rw-p 00007000 08:05 278089 /usr/lib/libXcursor.so.1.0.2 b7c75000-b7c76000 rw-p b7c75000 00:00 0 b7c76000-b7c7a000 r-xp 00000000 08:05 279303 /usr/lib/libXdmcp.so.6.0.0 b7c7a000-b7c7b000 rw-p 00003000 08:05 279303 /usr/lib/libXdmcp.so.6.0.0 b7c7b000-b7c7c000 rw-p b7c7b000 00:00 0 b7c7c000-b7c7e000 r-xp 00000000 08:05 279937 /usr/lib/libXau.so.6.0.0 b7c7e000-b7c7f000 r--p 00001000 08:05 279937 /usr/lib/libXau.so.6.0.0 b7c7f000-b7c80000 rw-p 00002000 08:05 279937 /usr/lib/libXau.so.6.0.0 b7c80000-b7c82000 r-xp 00000000 08:05 212609 /lib/tls/i686/cmov/libdl-2.9.so b7c82000-b7c83000 r--p 00001000 08:05 212609 /lib/tls/i686/cmov/libdl-2.9.so b7c83000-b7c84000 rw-p 00002000 08:05 212609 /lib/tls/i686/cmov/libdl-2.9.so b7c84000-b7c9c000 r-xp 00000000 08:05 280154 /usr/lib/libxcb.so.1.1.0 b7c9c000-b7c9d000 r--p 00017000 08:05 280154 /usr/lib/libxcb.so.1.1.0 b7c9d000-b7c9e000 rw-p 00018000 08:05 280154 /usr/lib/libxcb.so.1.1.0 b7c9e000-b7dfa000 r-xp 00000000 08:05 212604 /lib/tls/i686/cmov/libc-2.9.so b7dfa000-b7dfb000 ---p 0015c000 08:05 212604 /lib/tls/i686/cmov/libc-2.9.so b7dfb000-b7dfd000 r--p 0015c000 08:05 212604 /lib/tls/i686/cmov/libc-2.9.so b7dfd000-b7dfe000 rw-p 0015e000 08:05 212604 /lib/tls/i686/cmov/libc-2.9.so b7dfe000-b7e01000 rw-p b7dfe000 00:00 0 b7e01000-b7eeb000 r-xp 00000000 08:05 278238 /usr/lib/libX11.so.6.2.0 b7eeb000-b7eec000 ---p 000ea000 08:05 278238 /usr/lib/libX11.so.6.2.0 b7eec000-b7eed000 r--p 000ea000 08:05 278238 /usr/lib/libX11.so.6.2.0 b7eed000-b7eef000 rw-p 000eb000 08:05 278238 /usr/lib/libX11.so.6.2.0 b7eef000-b7ef1000 rw-p b7eef000 00:00 0 b7f01000-b7f02000 rw-p b7f01000 00:00 0 b7f02000-b7f03000 r-xp b7f02000 00:00 0 [vdso] b7f03000-b7f1f000 r-xp 00000000 08:05 179890 /lib/ld-2.9.so b7f1f000-b7f20000 r--p 0001b000 08:05 179890 /lib/ld-2.9.so b7f20000-b7f21000 rw-p 0001c000 08:05 179890 /lib/ld-2.9.so bfc0c000-bfc21000 rw-p bffeb000 00:00 0 [stack] Abandon Hope this helps. affects gmemusage package 0.2-11
2009-05-13 02:33:58 Akkana Peck nominated for series Ubuntu Jaunty
2009-05-13 02:33:58 Akkana Peck nominated for series Ubuntu Karmic
2009-07-08 20:17:05 Akkana Peck attachment added Fix the stack smashing, plus a couple of other items http://launchpadlibrarian.net/28828334/stacksmash.diff
2009-07-08 20:42:31 Akkana Peck attachment added better patch, fix the problem plus all warnings http://launchpadlibrarian.net/28828752/stacksmash2.diff
2009-07-13 08:12:37 Philip Morrell bug task added linuxmint
2009-07-13 08:13:46 Philip Morrell linuxmint: importance Undecided Medium
2009-07-13 08:13:46 Philip Morrell linuxmint: status New In Progress
2009-07-21 10:35:03 Philip Morrell linuxmint: status In Progress Triaged
2009-08-20 21:24:22 Julien Lavergne removed subscriber Ubuntu Sponsors for universe
2010-10-09 08:46:23 dave b. bug added subscriber dave b.
2011-05-16 20:54:34 Mackenzie Morgan bug added subscriber Mackenzie Morgan
2011-06-01 14:52:51 Mackenzie Morgan nominated for series Ubuntu Natty
2011-06-01 14:52:51 Mackenzie Morgan bug task added gmemusage (Ubuntu Natty)
2011-06-01 18:35:42 Akkana Peck attachment added debdiff of the patch https://bugs.launchpad.net/ubuntu/+source/gmemusage/+bug/370735/+attachment/2151093/+files/gmemusage_0.2-11ubuntu1.debdiff
2011-06-02 06:25:03 Mackenzie Morgan bug added subscriber Ubuntu Sponsors Team
2011-06-06 19:44:37 Chris Coulson gmemusage (Ubuntu): importance Undecided Medium
2011-06-06 19:44:37 Chris Coulson gmemusage (Ubuntu): status New Triaged
2011-06-09 21:42:45 Kees Cook gmemusage (Ubuntu): status Triaged Incomplete
2011-06-09 21:42:47 Kees Cook gmemusage (Ubuntu Natty): status New Incomplete
2011-06-09 21:50:30 Kees Cook gmemusage (Ubuntu): status Incomplete Fix Committed
2011-06-09 22:15:12 Launchpad Janitor gmemusage (Ubuntu): status Fix Committed Fix Released
2011-06-09 23:13:21 Launchpad Janitor branch linked lp:ubuntu/gmemusage
2011-06-14 14:10:11 Marc Deslauriers removed subscriber Ubuntu Sponsors Team
2013-08-12 14:43:21 Mackenzie Morgan removed subscriber Mackenzie Morgan
2014-06-17 22:57:11 Clement Lefebvre bug task deleted linuxmint
2014-12-03 08:59:43 Rolf Leggewie gmemusage (Ubuntu Natty): status Incomplete Won't Fix